## gst0.10-python 0.10.14-1maemo1

=== debian/changelog ===
gst0.10-python (0.10.14-1maemo1) experimental; urgency=low

  * Release for Maemo from Debian patches.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 22 Jan 2009 14:29:51 +0200

gst0.10-python (0.10.14-1) experimental; urgency=low

  * New upstream release, 'You better think':
    + debian/control:
      - Update GStreamer build dependency.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Jan 2009 09:13:05 +0100

gst0.10-python (0.10.13.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 11 Jan 2009 21:22:37 +0100

gst0.10-python (0.10.13.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update build dependencies.
    + debian/patches/03_rtld-constants.patch,
      debian/patches/04_import-order.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Jan 2009 07:43:13 +0100

gst0.10-python (0.10.13-1) experimental; urgency=low

  * New upstream release, 'Feel The Sun Rise'.
  * debian/patches/03_rtld-constants.patch:
    + Use correct values for RTLD_GLOBAL and RTLD_LAZY on Linux/MIPS
      as the values are different there from all other Linux platforms.
      Thanks to Thiemo Seufer for the patch (Closes: #499135).
  * ACK 0.10.12-1.1 NMU. Thanks to Alexander Wirt for fixing this issue.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Oct 2008 15:39:08 +0200

gst0.10-python (0.10.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add dependency to python-libxml2 and change load order in
    the init of gst0.10-python (Closes: #449341)

 -- Alexander Wirt <formorer@debian.org>  Mon, 08 Sep 2008 20:22:47 +0000

gst0.10-python (0.10.12-1) unstable; urgency=low

  * New upstream release, 'A Wild Finish'.
  * debian/control:
    + Update Standards-Version to 3.8.0, no additional changes needed.
    + Fix typo.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Jun 2008 20:20:34 +0200

gst0.10-python (0.10.11.3-1) experimental; urgency=low

  * debian/rules:
    + Append -Wno-error to CFLAGS and CXXFLAGS.
  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Jun 2008 12:30:23 +0200

gst0.10-python (0.10.11.2-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Jun 2008 08:40:46 +0200

gst0.10-python (0.10.11-1) unstable; urgency=low

  * New upstream release, "What I got".

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Mar 2008 01:18:37 +0100

gst0.10-python (0.10.10.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Build depend on gstreamer and gst-plugins-base >= 0.10.17.1.
  * debian/control:
    + Add Homepage field.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 Mar 2008 16:30:10 +0100

gst0.10-python (0.10.10-1) unstable; urgency=low

  * New upstream release, "Destination Overtime", with API additions:
    + debian/control:
      - Build depend on gstreamer/gst-plugins-base >= 0.10.16.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Jan 2008 11:46:12 +0100

gst0.10-python (0.10.9.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Jan 2008 13:24:18 +0100

gst0.10-python (0.10.9.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/01_pbutils-override.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Jan 2008 05:59:24 +0100

gst0.10-python (0.10.9.2-1) experimental; urgency=low

  * New upstream pre-release:
    + Update gstreamer build dependencies to >= 0.10.15.1.
    + debian/patches/01_acinclude-python.patch,
      debian/patches/99_autoreconf.patch:
      - Dropped, merged upstream.
  * debian/patches/01_pbutils-override.patch:
    + Patch from upstream CVS to fix build with python 2.4.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Jan 2008 16:00:59 +0100

gst0.10-python (0.10.9-5) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Drop w3m build dependency as it is not needed (Closes: #454110).
    + Update Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Jan 2008 15:41:27 +0100

gst0.10-python (0.10.9-4) experimental; urgency=low

  * Add a python-gst0.10-dbg package; from Ubuntu; tweak rules and control.
    - Target at experimental.
  * Wrap more fields in control.
  * Pass CFLAGS to configure; doh!

 -- Loic Minier <lool@dooz.org>  Sun, 02 Dec 2007 12:19:28 +0100

gst0.10-python (0.10.9-3) unstable; urgency=high

  * Fix the path generated in pygst.py by patch 02_pygstdir, it was missing
    the version of the GStreamer API suffix; closes: #453767.
  * Wrap build-deps even more.

 -- Loic Minier <lool@dooz.org>  Sun, 02 Dec 2007 11:50:49 +0100

gst0.10-python (0.10.9-2) unstable; urgency=low

  [ Sebastian Dröge ]
  * Merges from the Ubuntu package:
    + debian/rules:
      - Don't ship the *.la files.
      - Sort python versions and also build for the default python version
        even if this wasn't requested.
    + debian/patches/01_acinclude-python.patch,
      debian/patches/99_autoreconf.patch:
      - Fix detection of the Python include path.
    + TODO: add debug package after pygobject got one.
  * debian/patches/02_pygstdir.patch:
    + Fix Python packages path for different python versions (Closes: #453402).

  [ Loic Minier ]
  * New patch, 02_pygstdir, compute path to gst0.10 module dir at runtime
    based on the path of pygst.py (usually, it's a symlink).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 29 Nov 2007 16:21:29 +0100

gst0.10-python (0.10.9-1) unstable; urgency=low

  * New upstream release, "I've heard a lot of stories in my time":
    + Fixes crash at exit (Closes: #448621).
  * debian/control:
    + Build depend on gstreamer and gst-plugins-base >= 0.10.15 to get
      bindings for the new APIs.
  * debian/rules:
    + Don't call dh_python anymore.


