## gst0.10-python 0.10.19

=== debian/changelog ===
gst0.10-python (0.10.19-1) unstable; urgency=low

  * New upstream stable release, "Insert Casablanca quote here":
    + debian/control:
      - Build depend on GStreamer 0.10.30.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Jul 2010 21:25:26 +0200

gst0.10-python (0.10.18.4-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Build depend on GStreamer 0.10.29.4.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Jul 2010 15:45:00 +0200

gst0.10-python (0.10.18.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Build depend on GStreamer 0.10.29.3.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Jun 2010 10:44:58 +0200

gst0.10-python (0.10.18.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules,
      debian/compat,
      debian/control,
      debian/source/format,
      debian/patches/*:
      - Update to debhelper compat level 7.
      - Update to source format 3.0 (quilt).
      - Update to Standards-Version 3.8.4.
    + debian/control:
      - Build depend on GStreamer 0.10.29.2.
    + debian/patches/01_gnu-hurd-import.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 27 Jun 2010 11:26:38 +0200

gst0.10-python (0.10.18-2) unstable; urgency=low

  * debian/patches/01_gnu-hurd-import.patch:
    + Fix module importing on GNU/Hurd (Closes: #573744).
      Thanks to Emilio Pozuelo Monfort for the patch.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 15 Mar 2010 11:38:34 +0100

gst0.10-python (0.10.18-1) unstable; urgency=low

  * New upstream release, "A pigeon carrying a 500ton block":
    + debian/control:
      - Update dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 11 Feb 2010 19:56:44 +0100

gst0.10-python (0.10.17.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update dependencies.
    + Fixes importing on kFreeBSD (Closes: #563535).
    + Fixes "'module' object has no attribute 'Element'" import
      error (Closes: #531347).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Jan 2010 08:00:50 +0100

gst0.10-python (0.10.17-1) unstable; urgency=low

  * New upstream release, 'Shiny new button'.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Oct 2009 18:12:28 +0200

gst0.10-python (0.10.16.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Sep 2009 07:15:06 +0200

gst0.10-python (0.10.16.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update dependencies.
  * debian/control:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 12 Sep 2009 13:11:10 +0200

gst0.10-python (0.10.16-1) unstable; urgency=low

  * New upstream release, 'Distorted memory':
    + debian/control:
      - Build depend on latest gstreamer core/base releases.
  * debian/control:
    + Fix sections.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Aug 2009 06:55:29 +0200

gst0.10-python (0.10.15.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jul 2009 09:52:24 +0200

gst0.10-python (0.10.15.2-1) experimental; urgency=low

  * New upstream release:
    + debian/control:
      - Build depend on latest gstreamer core/base pre-releases.
  * debian/control:
    + Update Standards-Version to 3.8.2, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Jul 2009 19:38:26 +0200

gst0.10-python (0.10.15-1) unstable; urgency=low

  * New upstream release, 'We built a wall':
    + debian/rules,
      debian/control,
      debian/*.{install,postinst,prerm,rtupdate}:
      - Add a -dev package for the pkg-config files and def files
        (Closes: #527485).
      - Don't ship examples twice (Closes: #527498).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 11 May 2009 11:03:02 +0200

gst0.10-python (0.10.14.4-2) experimental; urgency=low

  * debian/control,
    debian/rules:
    + Use new features of pycentral 0.6.11, patch by Matthias Klose,
      taken from the Ubuntu package.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 May 2009 11:12:37 +0200

gst0.10-python (0.10.14.4-1) experimental; urgency=low

  * New upstream pre-release:
    + All Python module code is now LGPL licensed (Closes: #516190),
      parts of the build system are still GPL licensed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 May 2009 09:56:43 +0200

gst0.10-python (0.10.14.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 22 Apr 2009 09:37:11 +0200

gst0.10-python (0.10.14.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update GStreamer build dependency.
  * debian/control:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Apr 2009 17:56:43 +0200

gst0.10-python (0.10.14-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 15 Feb 2009 20:03:41 +0100
