=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,10 @@
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
 
-PY_DEFAULT := python2.5
-PY_VERSIONS = python2.5
+PY_DEFAULT := $(shell pyversions --default)
+PY_VERSIONS = $(sort $(shell pyversions --requested) $(PY_DEFAULT))
+
+include /usr/share/pycentral-data/pycentral.mk
 
 PATCH_DIR := debian/patches
 
@@ -24,19 +26,10 @@
 	configure_flags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
 
-# how to call quilt
-QUILT := QUILT_PATCHES=$(PATCH_DIR) quilt --quiltrc /dev/null
-
 patch: patch-stamp
 
-debian/stamp-autogen:
-	./autogen.sh --noconfigure
-	touch $@
-
-patch-stamp: debian/stamp-autogen
+patch-stamp:
 	dh_testdir
-	# apply patches
-	$(QUILT) push -a || test $$? = 2
 	# backup the original files to restore them in the clean target
 	-test -r config.sub && cp config.sub config.sub.orig
 	-test -r config.guess && cp config.guess config.guess.orig
@@ -49,28 +42,40 @@
 build-stamp-%: patch-stamp
 	dh_testdir
 	[ ! -f Makefile ] || $(MAKE) distclean
-	PYTHON=`which $*` CFLAGS="$(CFLAGS)" \
+	PYTHON=`which $*` PKG_CONFIG_PATH=/usr/lib/pkgconfig/$* CFLAGS="$(CFLAGS)" \
 		./configure $(configure_flags)
 	$(MAKE)
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/python-gst0.10
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/python-gst0.10 \
+		PYEXECDIR=/usr/lib/$*/$(call sitedir,$*) \
+		PYLIBDIR=/usr/lib/$*/$(call sitedir,$*) \
+		pyexecdir=/usr/lib/$*/$(call sitedir,$*) \
+		pylibdir=/usr/lib/$*/$(call sitedir,$*)
 	# move installed files to a per python runtime location to allow
 	# comparison of the resulting files across runtimes or shipping
 	# multiple versions
 	# pkg-config file (this is shipped twice because of varying pyexecdir)
-	mkdir debian/python-gst0.10/usr/lib/pkgconfig/$*
-	mv debian/python-gst0.10/usr/lib/pkgconfig/*.pc debian/python-gst0.10/usr/lib/pkgconfig/$*
+	mkdir -p debian/python-gst0.10-dev/usr/lib/pkgconfig/$*
+	mv debian/python-gst0.10/usr/lib/pkgconfig/*.pc debian/python-gst0.10-dev/usr/lib/pkgconfig/$*
 	# defs files, should be the same whatever the build-time python runtime
-	mkdir debian/python-gst0.10/usr/share/gst-python/0.10/defs/$*
-	mv debian/python-gst0.10/usr/share/gst-python/0.10/defs/*.defs debian/python-gst0.10/usr/share/gst-python/0.10/defs/$*
+	mkdir -p debian/python-gst0.10-dev/usr/share/gst-python/0.10/defs/$*
+	mv debian/python-gst0.10/usr/share/gst-python/0.10/defs/*.defs debian/python-gst0.10-dev/usr/share/gst-python/0.10/defs/$*
+	# examples should be in the -dev package
+	mkdir -p debian/python-gst0.10-dev/usr/share/gst-python/0.10/examples
+	mv debian/python-gst0.10/usr/share/gst-python/0.10/examples/* debian/python-gst0.10-dev/usr/share/gst-python/0.10/examples
+	rmdir debian/python-gst0.10/usr/share/gst-python/0.10/examples
 	touch $@
 
 dbg-build-stamp-%: patch-stamp
 	dh_testdir
 	[ ! -f Makefile ] || $(MAKE) distclean
-	PYTHON=`which $*-dbg` CFLAGS="$(CFLAGS) -O0" \
-		./configure --disable-nls $(configure_flags)
+	PYTHON=`which $*-dbg` PKG_CONFIG_PATH=/usr/lib/pkgconfig/$* CFLAGS="$(CFLAGS) -O0" \
+		./configure $(configure_flags)
 	$(MAKE)
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/python-gst0.10-dbg
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/python-gst0.10-dbg \
+		PYEXECDIR=/usr/lib/$*/$(call sitedir,$*) \
+		PYLIBDIR=/usr/lib/$*/$(call sitedir,$*) \
+		pyexecdir=/usr/lib/$*/$(call sitedir,$*) \
+		pylibdir=/usr/lib/$*/$(call sitedir,$*)
 	touch $@
 
 build-arch: $(addprefix build-stamp-, $(PY_VERSIONS)) $(addprefix dbg-build-stamp-, $(PY_VERSIONS))
@@ -84,9 +89,6 @@
 	# restore files from backup (before unpatching)
 	-test -r config.sub.orig && mv -f config.sub.orig config.sub
 	-test -r config.guess.orig && mv -f config.guess.orig config.guess
-	# unapply patches, if any
-	$(QUILT) pop -a -R || test $$? = 2
-	-rm -rf .pc
 	rm -f patch-stamp build-stamp-* dbg-build-stamp-* */*.pyc *.pyc
 	dh_clean
 
@@ -98,7 +100,7 @@
 	# *.defs files (or fail)
 	for v in $(PY_VERSIONS); do \
 	    echo "Comparing defs files for the default Python version ($(PY_DEFAULT)) with defs files for Python $$v"; \
-	    diff --brief --recursive debian/python-gst0.10/usr/share/gst-python/0.10/defs/$(PY_DEFAULT) debian/python-gst0.10/usr/share/gst-python/0.10/defs/$$v; \
+	    diff --brief --recursive debian/python-gst0.10-dev/usr/share/gst-python/0.10/defs/$(PY_DEFAULT) debian/python-gst0.10-dev/usr/share/gst-python/0.10/defs/$$v; \
 	done
 	
 	# drop all *.la files
@@ -113,9 +115,9 @@
 	done
 	# since all Python runtimes produced the same files, only keep one set
 	@echo "Cleaning up..."
-	mv debian/python-gst0.10/usr/share/gst-python/0.10/defs/$(PY_DEFAULT)/*.defs debian/python-gst0.10/usr/share/gst-python/0.10/defs
+	mv debian/python-gst0.10-dev/usr/share/gst-python/0.10/defs/$(PY_DEFAULT)/*.defs debian/python-gst0.10-dev/usr/share/gst-python/0.10/defs
 	for v in $(PY_VERSIONS); do \
-	    rm --force --recursive debian/python-gst0.10/usr/share/gst-python/0.10/defs/$$v; \
+	    rm --force --recursive debian/python-gst0.10-dev/usr/share/gst-python/0.10/defs/$$v; \
 	done
 	# set executable bit on files with a shebang
 	egrep -rlZ '^#!(.*)(python|sh)' debian/python-gst0.10 | xargs -0 chmod a+x --
@@ -132,6 +134,7 @@
 	dh_strip -s -Npython-gst0.10-dbg --dbg-package=python-gst0.10-dbg
 	dh_compress -s -Xexample
 	dh_fixperms -s
+	DH_PYCENTRAL=include-links dh_pycentral -s
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
