## gst0.10-python 0.10.21

=== debian/changelog ===
gst0.10-python (0.10.21-2ubuntu1) oneiric; urgency=low

  * Convert to dh_python2 (Debian #616836, LP: #788514).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jun 2011 09:37:15 +0100

gst0.10-python (0.10.21-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Mar 2011 15:38:31 +0100

gst0.10-python (0.10.21-1) experimental; urgency=low

  * New upstream stable release, "She used to be an ironhorse, twenty years ago".
    + debian/control:
      - Require GStreamer core/base >= 0.10.32.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 Jan 2011 14:16:57 +0100

gst0.10-python (0.10.20.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Require GStreamer core/base >= 0.10.31.2.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 13 Jan 2011 14:03:03 +0100

gst0.10-python (0.10.20.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Require GStreamer core/base >= 0.10.31.2.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Jan 2011 17:35:49 +0100

gst0.10-python (0.10.20-1) experimental; urgency=low

  * New upstream release, "What Abitbol said before dying".
    + debian/control:
      - (Build-) depend on GStreamer core/base >= 0.10.31.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 02 Dec 2010 10:38:34 +0100

gst0.10-python (0.10.19.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 01 Nov 2010 20:56:40 +0100

gst0.10-python (0.10.19.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/03_pygst-import.patch:
      - Dropped, merged upstream.
    + debian/control:
      - Build depend on GStreamer core/base >= 0.10.30.3.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 22 Oct 2010 20:03:26 +0200

gst0.10-python (0.10.19-2) unstable; urgency=low

  * debian/patches/03_pygst-import.patch:
    + Patch from upstream GIT to fix spurious exceptions
      in pygst_require, e.g. when importing the python plugin.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 09 Sep 2010 12:59:06 +0200
