=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PY_DEFAULT := $(shell pyversions --default)
 PY_VERSIONS = $(sort $(shell pyversions --requested) $(PY_DEFAULT))
 
-include /usr/share/pycentral-data/pycentral.mk
+include /usr/share/python/python.mk
 
 PATCH_DIR := debian/patches
 
@@ -46,10 +46,10 @@
 		./configure $(configure_flags)
 	$(MAKE)
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/python-gst0.10 \
-		PYEXECDIR=/usr/lib/$*/$(call sitedir,$*) \
-		PYLIBDIR=/usr/lib/$*/$(call sitedir,$*) \
-		pyexecdir=/usr/lib/$*/$(call sitedir,$*) \
-		pylibdir=/usr/lib/$*/$(call sitedir,$*)
+		PYEXECDIR=$(call py_libdir,$(subst python,,$*)) \
+		PYLIBDIR=$(call py_libdir,$(subst python,,$*)) \
+		pyexecdir=$(call py_libdir,$(subst python,,$*)) \
+		pylibdir=$(call py_libdir,$(subst python,,$*))
 	# move installed files to a per python runtime location to allow
 	# comparison of the resulting files across runtimes or shipping
 	# multiple versions
@@ -72,10 +72,10 @@
 		./configure $(configure_flags)
 	$(MAKE)
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/python-gst0.10-dbg \
-		PYEXECDIR=/usr/lib/$*/$(call sitedir,$*) \
-		PYLIBDIR=/usr/lib/$*/$(call sitedir,$*) \
-		pyexecdir=/usr/lib/$*/$(call sitedir,$*) \
-		pylibdir=/usr/lib/$*/$(call sitedir,$*)
+		PYEXECDIR=$(call py_libdir,$(subst python,,$*)) \
+		PYLIBDIR=$(call py_libdir,$(subst python,,$*)) \
+		pyexecdir=$(call py_libdir,$(subst python,,$*)) \
+		pylibdir=$(call py_libdir,$(subst python,,$*))
 	touch $@
 
 build-arch: $(addprefix build-stamp-, $(PY_VERSIONS)) $(addprefix dbg-build-stamp-, $(PY_VERSIONS))
@@ -134,7 +134,7 @@
 	dh_strip -s -Npython-gst0.10-dbg --dbg-package=python-gst0.10-dbg
 	dh_compress -s -Xexample
 	dh_fixperms -s
-	DH_PYCENTRAL=include-links dh_pycentral -s
+	dh_python2 -s
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
