## gst0.10-python 0.10.22

=== debian/changelog ===
gst0.10-python (0.10.22-3ubuntu3) vivid; urgency=medium

  * No-change rebuild against new binutils to fix ppc64el build.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 08 Dec 2014 16:13:05 -0700

gst0.10-python (0.10.22-3ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:43 +0000

gst0.10-python (0.10.22-3ubuntu1) quantal; urgency=low

  * Backport upstream commit 574275e7 to expose new
    gst.preset_{set,get}_app_dir() functions, required by transmageddon (LP:
    #1031439)

 -- Iain Lane <iain.lane@canonical.com>  Sun, 05 Aug 2012 21:31:30 +0100

gst0.10-python (0.10.22-3) unstable; urgency=low

  * Team upload.
  * Convert from dh_pycentral to dh_python2.
    Thanks to Colin Watson for the patch (Closes: #616836)

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Feb 2012 21:24:07 +0100

gst0.10-python (0.10.22-2) unstable; urgency=low

  * Team upload.
  * Really remove all *.la files. (Closes: #650260)

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Jan 2012 06:37:49 +0100

gst0.10-python (0.10.22-1) unstable; urgency=low

  * New upstream stable release, "Ninety Tons of Thunder":
    + debian/rules:
      - Ship the new headers in the -dev package.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Nov 2011 08:47:11 +0100
