=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,9 @@
 	mkdir -p debian/python-gst0.10-dev/usr/share/gst-python/0.10/examples
 	mv debian/python-gst0.10/usr/share/gst-python/0.10/examples/* debian/python-gst0.10-dev/usr/share/gst-python/0.10/examples
 	rmdir debian/python-gst0.10/usr/share/gst-python/0.10/examples
+	# headers should be in the -dev package too
+	mkdir -p debian/python-gst0.10-dev/usr/include/gstreamer-0.10/gst
+	mv debian/python-gst0.10/usr/include/gstreamer-0.10/gst/* debian/python-gst0.10-dev/usr/include/gstreamer-0.10/gst
 	touch $@
 
 dbg-build-stamp-%: patch-stamp
@@ -104,7 +107,7 @@
 	done
 	
 	# drop all *.la files
-	find debian/python-gst0.10/usr/lib/python* -name '*.la' -print0 | xargs -0r rm -f --
+	find debian/python-gst0.10/usr/lib/ -name '*.la' -print0 | xargs -0r rm -f --
 	# only keep *.so files and symlinks in the dbg packages
 	find debian/python-*-dbg ! -type d ! -name '*.so' -print0 | xargs -0r rm -f --
 	find debian/python-*-dbg -depth -empty -exec rmdir -- {} \;
