=== debian/watch ===
version=2
http://gstreamer.freedesktop.org/src/gst-python/gst-python-(0\.10\..*)\.tar\.gz
